## ros-noetic-ecl-build 0.61.8

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_build)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)

set(${PROJECT_NAME}_MODULES "")
list(APPEND ${PROJECT_NAME}_MODULES ecl_platform_detection.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ecl_package.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ecl_find_sse.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ecl_build_utilities.cmake)
list(APPEND ${PROJECT_NAME}_MODULES ecl_cx11.cmake)
list(APPEND ${PROJECT_NAME}_MODULES cotire.cmake)

catkin_package(
    CFG_EXTRAS ${${PROJECT_NAME}_MODULES}
)


##############################################################################
# Work
##############################################################################

install(DIRECTORY cmake
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== graveyard/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(modules)
add_subdirectory(templates)
add_subdirectory(tests)

=== debian/changelog ===
ros-noetic-ecl-build (0.61.8-1focal) focal; urgency=high

  * cross platform enabling of cx11

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 18 Aug 2018 04:00:00 -0000

ros-noetic-ecl-build (0.61.6-1focal) focal; urgency=high

  * add additional ubuntu releases to ecl_detect_distro
  * cmake message bugfixes to always include type flag (removes warnings)

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Feb 2017 05:00:00 -0000

ros-noetic-ecl-build (0.61.5-1focal) focal; urgency=high

  * avoid re-loading cotire for every project

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 25 Aug 2016 04:00:00 -0000

ros-noetic-ecl-build (0.61.4-1focal) focal; urgency=high

  * check, but just quietly avoid including cotire if version check fails.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 20 Mar 2016 04:00:00 -0000

ros-noetic-ecl-build (0.61.3-1focal) focal; urgency=high

  * added corite cmake module for speeding up builds

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 23 Feb 2016 05:00:00 -0000

ros-noetic-ecl-build (0.61.2-1focal) focal; urgency=high

  * some comments about tricky c++11 hazards.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-noetic-ecl-build (0.61.1-1focal) focal; urgency=high

  * ecl_detect_filesystem cmake macro added.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 16 Aug 2015 04:00:00 -0000

ros-noetic-ecl-build (0.61.0-1focal) focal; urgency=high

  * convenience macros for cxx11 flag checks and settings.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 12 Sep 2014 04:00:00 -0000

ros-noetic-ecl-build (0.60.1-1focal) focal; urgency=high

  * ecl_check_for->ecl_detect for consistency.
  * use catkin exports for cmake modules, closes #2 <https://github.com/stonier/ecl_tools/issues/2>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-ecl-build
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-ecl-license
Homepage: http://wiki.ros.org/ecl_build
Standards-Version: 3.9.2

Package: ros-noetic-ecl-build
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-ecl-license
Description: Collection of cmake/make build tools primarily for ecl development itself, but also contains a few cmake modules useful outside of the ecl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-ecl-build//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
